> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get validator rewards metrics

> This endpoint returns the historical rewards earned by a single validator.

Using this endpoint, you can query the historical daily rewards of a validator by their unique `validator_address`.

`totalDelegationRewards` are the Babylon rewards, denominated in the network's native token, which delegators are entitled to receive from the validator they have staked to. This includes the rewards towards a validator if they have self-staked/self-bonded. The rewards from the commission a validator charges are given by the `totalCommissionRewards`.

You can use the `fromDate` and `toDate` parameters to query a range of days.


## OpenAPI

````yaml get /v1/babylon/validators/{validator_address}/rewards
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/babylon/validators/{validator_address}/rewards:
    get:
      tags:
        - Babylon Rewards
      summary: Get validator rewards metrics
      description: >-
        This endpoint returns the historical rewards earned by a single
        validator.
      operationId: >-
        get_validator_rewards_v1_babylon_validators__validator_address__rewards_get
      parameters:
        - name: validator_address
          in: path
          required: true
          schema:
            type: string
            title: Validator Address
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 10
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: fromDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Start date
            examples:
              - '2023-01-01'
            title: Fromdate
          description: Start date
        - name: toDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: End date
            examples:
              - '2023-12-31'
            title: Todate
          description: End date
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__77
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__77:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            properties:
              day:
                type: string
                format: date
                title: Day
              validator:
                type: string
                title: Validator
              validatorMoniker:
                type: string
                title: Validatormoniker
              consensusAddress:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Consensusaddress
              consensusPubkey:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Consensuspubkey
              accountAddress:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Accountaddress
              fromBlockNumber:
                type: integer
                title: Fromblocknumber
              toBlockNumber:
                type: integer
                title: Toblocknumber
              totalDelegationRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Totaldelegationrewards
              totalCommissionRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Totalcommissionrewards
              commissionRate:
                anyOf:
                  - type: number
                  - type: string
                title: Commissionrate
            type: object
            required:
              - day
              - validator
              - validatorMoniker
              - fromBlockNumber
              - toBlockNumber
              - totalDelegationRewards
              - totalCommissionRewards
              - commissionRate
            title: BabylonValidatorRewards
            examples:
              - accountAddress: bbn1hjadhj9nqzpye2vkmkz4thahhd0z8dh3eer4jx
                commissionRate: 0.03
                consensusPubkey: 6dNq2wZBtn8kOc1O+n6cKTQMVM5HPCeYGFufeaarQDI=
                day: '2025-01-21'
                fromBlockNumber: 100001
                toBlockNumber: 107701
                totalCommissionRewards: 1357.0956718392758
                totalDelegationRewards: 45236.52239464253
                validator: bbnvaloper109x4ruspxarwt62puwcenhclw36l9v7j92f0ex
                validatorMoniker: Babylon Labs 1
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1DetailBabylonValidatorRewards
      examples:
        - next: >-
            https://api.rated.network//v1/babylon/validators/{validator_address}/rewards?limit=10&offset=30
          pages: 10
          previous: >-
            https://api.rated.network//v1/babylon/validators/{validator_address}/rewards?limit=10&offset=10
          results:
            - - accountAddress: bbn1hjadhj9nqzpye2vkmkz4thahhd0z8dh3eer4jx
                commissionRate: 0.03
                consensusPubkey: 6dNq2wZBtn8kOc1O+n6cKTQMVM5HPCeYGFufeaarQDI=
                day: '2025-01-21'
                fromBlockNumber: 100001
                toBlockNumber: 107701
                totalCommissionRewards: 1357.0956718392758
                totalDelegationRewards: 45236.52239464253
                validator: bbnvaloper109x4ruspxarwt62puwcenhclw36l9v7j92f0ex
                validatorMoniker: Babylon Labs 1
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````